Skip to main content
GET
/
ai
/
agents
/
{agent_id}
/
sub-agents
List agent sub-agents
curl --request GET \
  --url https://api.wacht.dev/ai/agents/{agent_id}/sub-agents \
  --header 'Authorization: <api-key>'
{
  "data": [
    {
      "id": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "name": "<string>",
      "description": "<string>",
      "deployment_id": "<string>",
      "configuration": {},
      "sub_agents": [
        "<string>"
      ],
      "tools_count": 123,
      "knowledge_bases_count": 123
    }
  ],
  "has_more": true,
  "limit": 123,
  "offset": 123
}

Authorizations

Authorization
string
header
required

Path Parameters

agent_id
string
required

Response

200 - application/json

Agent sub-agents

data
object[]
has_more
boolean
limit
integer | null
offset
integer | null